import * as mc from "@minecraft/server";
import * as vector from "../utils/vector";

export function eventBehavior(event) {
  //mc.world.sendMessage(`${mc.world.gameRules.doMobSpawning}`);
  if (!event.entity.isValid() || event.eventId !== "hf_mzs:spawn_entity" || !mc.world.gameRules.doMobSpawning) return;
  event.entity.dimension.spawnEntity("hf_mzs:bluff", event.entity.location);
}
